package com.lantone.daqe.client.hystrix;


import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.GetOperationLogDTO;
import com.lantone.common.vo.BlockLossTypeGatherVO;
import com.lantone.common.vo.DataCompareVO;
import com.lantone.daqe.client.OperationLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @Description: 操作日志服务远程调用（请求失败熔断）
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@Component
@Slf4j
public class OperationLogServiceHystrix implements OperationLogService {
    @Override
    public CommonResult<List<GetOperationLogDTO>> getOperationLogs(DataCompareVO dataCompareVO) {
        log.error("【hystrix】调用{}异常", "getOperationLogs");
        return null;
    }

    @Override
    public CommonResult<Integer> getOperationLogNum(BlockLossTypeGatherVO blockLossTypeGatherVO) {
        log.error("【hystrix】调用{}异常", "getOperationLogNum");
        return null;
    }
}
